OGRE: Ogre::LayerBlendModeEx Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::LayerBlendModeEx Class Reference
Core » Materials

Class which manages blending of both colour and alpha components. More...

`#include <OgreBlendMode.h>`

## Public Member Functions
bool | operator!= (const LayerBlendModeEx &rhs) const
bool | operator== (const LayerBlendModeEx &rhs) const

## Public Attributes
Real | alphaArg1
| Manual alpha value for manual source1. More...
Real | alphaArg2
| Manual alpha value for manual source2. More...
LayerBlendType | blendType
| The type of blending (colour or alpha) More...
ColourValue | colourArg1
| Manual colour value for manual source1. More...
ColourValue | colourArg2
| Manual colour value for manual source2. More...
Real | factor
| Manual blending factor. More...
LayerBlendOperationEx | operation
| The operation to be applied. More...
LayerBlendSource | source1
| The first source of colour/alpha. More...
LayerBlendSource | source2
| The second source of colour/alpha. More...

## Detailed Description

Class which manages blending of both colour and alpha components.

Remarks
  This class is a utility class used by both TextureUnitState and RenderSystem to wrap up the details of a blending operation. This blending operation could be used for blending colour or alpha in a texture layer. This class is really only for use by OGRE, since apps can deal with blending modes through the TextureUnitState class methods setColourOperation and setAlphaOperation.

  It's worth noting that these operations are for blending between texture layers and not between rendered objects and the existing scene. If you wish to make an object blend with others in the scene, e.g. to make transparent objects etc, use the Material::setSceneBlending method.

## Member Function Documentation

## ◆ operator!=()

bool Ogre::LayerBlendModeEx::operator!= | ( | const LayerBlendModeEx & | rhs | ) | const
| inline

## ◆ operator==()

bool Ogre::LayerBlendModeEx::operator== | ( | const LayerBlendModeEx & | rhs | ) | const
| inline

References alphaArg1, alphaArg2, blendType, colourArg1, colourArg2, factor, Ogre::LBT_COLOUR, operation, source1, and source2.

## Member Data Documentation

## ◆ alphaArg1

Real Ogre::LayerBlendModeEx::alphaArg1

Manual alpha value for manual source1.

Referenced by operator==().

## ◆ alphaArg2

Real Ogre::LayerBlendModeEx::alphaArg2

Manual alpha value for manual source2.

Referenced by operator==().

## ◆ blendType

LayerBlendType Ogre::LayerBlendModeEx::blendType

The type of blending (colour or alpha)

Referenced by operator==().

## ◆ colourArg1

ColourValue Ogre::LayerBlendModeEx::colourArg1

Manual colour value for manual source1.

Referenced by operator==().

## ◆ colourArg2

ColourValue Ogre::LayerBlendModeEx::colourArg2

Manual colour value for manual source2.

Referenced by operator==().

## ◆ factor

Real Ogre::LayerBlendModeEx::factor

Manual blending factor.

Referenced by operator==().

## ◆ operation

LayerBlendOperationEx Ogre::LayerBlendModeEx::operation

The operation to be applied.

Referenced by operator==().

## ◆ source1

LayerBlendSource Ogre::LayerBlendModeEx::source1

The first source of colour/alpha.

Referenced by operator==().

## ◆ source2

LayerBlendSource Ogre::LayerBlendModeEx::source2

The second source of colour/alpha.

Referenced by operator==().

The documentation for this class was generated from the following file:

- OgreBlendMode.h